Subject: bug#71916: 31.0.50; build failure on MINGW64

From: leuven65 <[email-masked]>
Date: Wed, 3 Jul 2024 15:43:38 +0200

I found the latest version of both master and emacs-30 branch (from Monday)
failed to be built on MINGW64 / windows10.
It failed when starting native compilation, error pops up "Cannot find
libgccjit library" (from comp-ensure-native-compiler), maybe the called
function "load_gccjit_if_necessary / init_gccjit_functions" return error.

But if to revert the change introduced by branch
"savannah/scratch/windows-98" (merged on 2024/06/30), the build becomes OK.

> git revert 38179f85f8f7236d5de8d9a4333b6a1d4ded63f0

So that maybe the issue is caused by the 3 commits in this branch.